#
# spec file for package python-pydot
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname pydot
Name:           python-%{modname}
Version:        1.0.28
Release:        7.1
Url:            http://code.google.com/p/pydot
Summary:        Create (dot) graphs from python
License:        MIT
Group:          Development/Libraries/Python
Source:         http://%{modname}.googlecode.com/files/%{modname}-%{version}.tar.gz
Source1:        example-demo.py
Source2:        example-rank.py
Patch0:         %{name}-1.0.28_fix_pyparser_2_incompatibility.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
Requires:       python-pyparsing
Requires:       graphviz
%if 0%{?suse_version} <= 1110
%{!?python_sitelib:  %global python_sitelib  %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%else
BuildArch:      noarch
%py_requires
%endif

%description
pydot allows to easily create both directed and non directed graphs from Python. 
Currently all attributes implemented in the Dot language are supported (up to Graphviz 2.16).

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p1
mkdir examples && cp %{SOURCE1} %{SOURCE2} examples

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -rf %{buildroot}/usr/{LICENSE,README} # Wronly installed by setup script

%clean  
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README LICENSE examples
%{python_sitelib}/dot_parser.py*
%{python_sitelib}/%{modname}.py*
%{python_sitelib}/%{modname}-%{version}-py%{py_ver}.egg-info

%changelog
* Sat May  3 2014 andrea@opensuse.org
- added python-pydot-1.0.28_fix_pyparser_2_incompatibility.patch to fix
  incompatibility when using pydot with pyparser 2
* Fri May 25 2012 toddrme2178@gmail.com
- Update to version 1.0.28
  * Bugfixes
- Spec file cleanup
* Wed Jun  1 2011 saschpe@suse.de
- Update to version 1.0.25
  * Minor bugfixes
- Spec file cleanup:
  * Package examples as 'examples'
  * Use SUSE version checks for %%py_requires and noarch
* Thu Feb 17 2011 jw@novell.com
- Update to 1.0.4
- Example-demo.py added.
* Thu Feb 17 2011 jw@novell.com
- Taken from home:leo_eraly
